require "luascape.reflect"
require "luascape.system"
require "luascape.graphics"

loadModule("fx")
reflect.makeNamespaceGlobal("scape::fx")


fx={}
function fx.createPointSpriteCrowd(texture, destinationFactor)
  local crowd = PointSpriteCrowd()
  if texture then
    graphics.applyTexture(crowd, texture)
  end
  if not destinationFactor then destinationFactor = AlphaBlendState.BLEND_ONE end
  graphics.applyBlending(crowd, AlphaBlendState.BLEND_SRC_ALPHA, destinationFactor)
  graphics.applyAlphaTesting(crowd, 0)
  return crowd
end
